From 9a4247ec2f7e76983c7cc4fbd5c6cb4f60e4c67b Mon Sep 17 00:00:00 2001
From: Sergey Volkov <s.volkov@netris.ru>
Date: Fri, 13 Oct 2017 15:27:18 +0300
Subject: [PATCH] remove external_storage permission requirement for cache

---
 .../src/java/org/appcelerator/titanium/util/TiResponseCache.java      | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/android/titanium/src/java/org/appcelerator/titanium/util/TiResponseCache.java b/android/titanium/src/java/org/appcelerator/titanium/util/TiResponseCache.java
index 9b0b827..4824778 100644
--- a/android/titanium/src/java/org/appcelerator/titanium/util/TiResponseCache.java
+++ b/android/titanium/src/java/org/appcelerator/titanium/util/TiResponseCache.java
@@ -311,7 +311,7 @@ public class TiResponseCache extends ResponseCache
 	public CacheResponse get(URI uri, String rqstMethod,
 			Map<String, List<String>> rqstHeaders) throws IOException 
 	{
-		if (!TiFileHelper2.hasStoragePermission() || uri == null || cacheDir == null) return null;
+		if (uri == null || cacheDir == null) return null;
 
 		// Workaround for https://jira.appcelerator.org/browse/TIMOB-18913
 		// This workaround should be removed when HTTPClient is refactored with HttpUrlConnection
@@ -408,7 +408,7 @@ public class TiResponseCache extends ResponseCache
 	@Override
 	public CacheRequest put(URI uri, URLConnection conn) throws IOException
 	{
-		if (cacheDir == null || !TiFileHelper2.hasStoragePermission()) return null;
+		if (cacheDir == null) return null;
 
 		// Workaround for https://jira.appcelerator.org/browse/TIMOB-18913
 		// This workaround should be removed when HTTPClient is refactored with HttpUrlConnection
-- 
2.7.4

